Skip to main content
`Ctrl`+`K`

# TaoTermSumGetTerm

Get the data for a term in a `TAOTERMSUM`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermSumGetTerm(TaoTerm sumterm, PetscInt index, const char **prefix, PetscReal *scale, TaoTerm *term, Mat *map)

Not collective

## Input Parameters

- sumterm - a `TaoTerm` of type `TAOTERMSUM`

- index - a number \(0 \leq i < n\), where \(n\) is the number of terms in `TaoTermSumGetNumberTerms()`

## Output Parameters

- prefix - (optional) the prefix used for configuring the term

- scale - (optional) the coefficient scaling the term in the sum

- term - the `TaoTerm` at given index of `TAOTERMSUM`

- map - (optional) a map from the `TAOTERMSUM` solution space to the `term` solution space; if `NULL` the map is assumed to be the identity

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSUM`, `TaoTermSumSetTerm()`, `TaoTermSumAddTerm()`

## Level

developer

## Location

src/tao/term/impls/sum/taotermsum.c

## Examples

src/tao/unconstrained/tutorials/elastic_net_regularization.c

## Implementations

TaoTermSumGetTerm_Sum() in src/tao/term/impls/sum/taotermsum.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages